extensions / Commerce extension
GET
/api/projects/{project_id}/sales/orders/attributes/{attribute_id}Get Order Attribute
Get order attribute detail
Authentication
- Requirement
- Required
- Credential type
- Bearer API key
- Scopes
- Not specified
Permissions
- Requests are scoped to the target project_id. API-key requests must use a key with an active connection to that project.
Headers
| Name | Required | Type | Details |
|---|---|---|---|
Authorization | Yes | Not specified | Description: Bearer credential used to authenticate the request. |
Path Parameters
| Name | Required | Type | Details |
|---|---|---|---|
project_id | Yes | Not specified | Description: Target project identifier. |
attribute_id | Yes | Not specified | Description: Identifier for attribute. |
Query Parameters
Request Body
Response Body
Example 200 response
json
{
"id": 1,
"project_id": 1,
"attribute_code": "string",
"default_label": "string",
"input_type": "string",
"is_required": "string",
"default_value": "string",
"placeholder": "string",
"min_text_length": "string",
"max_text_length": "string",
"min_date": "2026-01-01T00:00:00Z",
"max_date": "2026-01-01T00:00:00Z",
"allowed_extensions": [],
"max_file_size": "string",
"visible_on_frontend": "string",
"hidden_from_customer": "string",
"visible_on_backend": "string",
"customer_roles": [],
"checkout_position": "string",
"sort_order": "string",
"save_for_future": "string",
"show_on_grids": [],
"include_in_pdf": "string",
"include_in_emails": [],
"options": [],
"conditions": [],
"is_active": "string",
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}Errors
404 not_foundAvailability
- Available in
- v0.1.0
- Available since
- v0.1.0
- Implementation
- Available
- Deprecation
- Not specified
- Rate limits
- Not specified

